#!/bin/sh
#############################################################
#
#  This is a script which queries the TME 10 Installation
#  object for attributes with independent interp types, and
#  runs $BINDIR/TAS/INSTALL/init-install if any are found.
#  If no independent interps are found, the script exits.
#
#############################################################

#
# Get the oserv
#
OSERV=`objcall 0.0.0 get_oserv`

#
# Make sure we have Tivoli sourced
#
if [ -z "$OSERV" ];then
        echo "You must have the Tivoli Environment";
        echo "sourced in to run this command.";
        exit 1;
fi

BINDIR="`objcall $OSERV query install_dir`/$INTERP"

INDEPENDENT="independent";

#
# Look at the Installation Object for "independent"
# interp types
#
wlsinst=`wlsinst -vhs "TME 10 Framework" | grep $INDEPENDENT`;

if test "$wlsinst" = ""
then
        echo "Independent interp NOT found in Installation Object.";
        exit 0
fi

echo "";
echo "Independent interp FOUND in Installation Object.";
echo "Invoking init-install script to update interps in Installation Object.";
echo ""
echo "This may take a few moments...";
echo "";

#
# Invoke $BINDIR/TAS/INSTALL/init-INSTALL to correct the interp types
#
echo `$BINDIR/TAS/INSTALL/init-install -ao`;

exit 0
